Update
  • I'm trying to update my Ecomomacs 5.1.3 / OSX but gets this error:
    Process: com.andymatuschak.Sparkle.download-service [1605]
    Path: /Applications/Economacs.app/Contents/XPCServices/com.andymatuschak.Sparkle.download-service.xpc/Contents/MacOS/com.andymatuschak.Sparkle.download-service
    Identifier: com.andymatuschak.Sparkle.download-service
    Version: 1.0 (1)
    Code Type: X86-64 (Native)
    Parent Process: ??? [1]
    Responsible: Economacs [1293]
    User ID: 501

    Date/Time: 2014-03-22 14:00:19.433 +0100
    OS Version: Mac OS X 10.9.2 (13C64)
    Report Version: 11
    Anonymous UUID: 80C278C4-3633-FD79-1043-56819FE8C4D4


    Crashed Thread: 4 Dispatch queue: com.andymatuschak.Sparkle.download-service-peer-1293

    Exception Type: EXC_BAD_INSTRUCTION (SIGILL)
    Exception Codes: 0x0000000000000001, 0x0000000000000000

    Application Specific Information:
    XPC API Misuse: Release of last reference on a suspended connection.

    And it goes on and on and on
  • Economacs 5.1.3 was released more than a year ago long before Mac OS X 10.9. It has several bugs, but one bug in particular affects the auto update mechanism on Mac OS X 10.9. You need to manually download the latest version 5.1.23 from www.economacs.com, and then replace the app in the Applications folder with the newly downloaded version.
  • Thanks. But what does it do to all my data?
  • Your data is stored in the accounting document (you chose the name and location of this file the first time you saved the accounting). This is not affected by an update.

    Incidentally, you should keep track of the accounting document, and take occasional backups of this file.

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!